Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CacheControl.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CacheControl.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CacheControl.java	(revision 23190)
@@ -25,5 +25,5 @@
 
 public class CacheControl implements Runnable {
-    
+
     public static final String cLambertCC9Z = "CC";
 
@@ -55,5 +55,5 @@
         return ret;
     }
-    
+
     public CacheControl(WMSLayer wmsLayer) {
         cacheEnabled = Main.pref.getBoolean("cadastrewms.enableCaching", true);
@@ -110,5 +110,5 @@
                     int reply = (Integer)pane.getValue();
                     // till here
-    
+
                     if (reply == JOptionPane.OK_OPTION && loadCache(file, wmsLayer.getLambertZone())) {
                         return true;
@@ -136,5 +136,5 @@
         }
     }
-    
+
     private void delete(File file) {
         System.out.println("Delete file "+file);
@@ -215,5 +215,5 @@
         }
     }
-    
+
     private String WMSFileExtension() {
         String ext = String.valueOf((wmsLayer.getLambertZone() + 1));
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreGrabber.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreGrabber.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreGrabber.java	(revision 23190)
@@ -52,5 +52,5 @@
         }
     }
-    
+
     public GeorefImage grabParcels(WMSLayer wmsLayer, EastNorth lambertMin, EastNorth lambertMax) throws IOException, OsmTransferException {
         try {
@@ -63,5 +63,5 @@
         }
     }
-    
+
     private URL getURLRaster(WMSLayer wmsLayer, EastNorth lambertMin, EastNorth lambertMax) throws MalformedURLException {
         // GET /scpc/wms?version=1.1&request=GetMap&layers=CDIF:PMC@QH4480001701&format=image/png&bbox=-1186,0,13555,8830&width=576&height=345&exception=application/vnd.ogc.se_inimage&styles= HTTP/1.1
@@ -85,5 +85,5 @@
             EastNorth lambertMin, EastNorth lambertMax) throws MalformedURLException {
         String str = new String(wmsInterface.baseURL+"/scpc/wms?version=1.1&request=GetMap");
-        str += "&layers="+ layers;  
+        str += "&layers="+ layers;
         str += "&format=image/png";
         //str += "&format=image/jpeg";
@@ -100,6 +100,6 @@
 
     private URL getURLVector(EastNorth lambertMin, EastNorth lambertMax) throws MalformedURLException {
-        return buildURLVector(CadastrePlugin.grabLayers, CadastrePlugin.grabStyles, 
-                CadastrePlugin.imageWidth, CadastrePlugin.imageHeight, 
+        return buildURLVector(CadastrePlugin.grabLayers, CadastrePlugin.grabStyles,
+                CadastrePlugin.imageWidth, CadastrePlugin.imageHeight,
                 lambertMin, lambertMax);
     }
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreInterface.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreInterface.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastreInterface.java	(revision 23190)
@@ -53,5 +53,5 @@
     final String cOptionListEnd = "</option>";
     final String cBBoxCommunStart = "new GeoBox(";
-    final String cBBoxCommunEnd = ")";    
+    final String cBBoxCommunEnd = ")";
 
     final String cInterfaceVector = "afficherCarteCommune.do";
@@ -62,5 +62,5 @@
     final String cImageNameStart = ">Feuille ";
     final String cTAImageNameStart = "Tableau d'assemblage <strong>";
-    
+
     final static long cCookieExpiration = 30 * 60 * 1000; // 30 minutes expressed in milliseconds
 
@@ -97,5 +97,5 @@
 
     /**
-     * 
+     *
      * @return true if a cookie is delivered by WMS and false is WMS is not opening a client session
      *         (too many clients or in maintenance)
@@ -141,5 +141,5 @@
         cookie = null;
     }
-    
+
     public boolean isCookieExpired() {
         long now = new Date().getTime();
@@ -165,5 +165,5 @@
         urlConn.setRequestProperty("Cookie", this.cookie);
     }
-    
+
     private void getInterface(WMSLayer wmsLayer) throws IOException, DuplicateLayerException {
         // first attempt : search for given name without codeCommune
@@ -379,5 +379,5 @@
         return lines;
     }
-    
+
     private void parseFeuillesList(String input) {
         listOfFeuilles.clear();
@@ -402,5 +402,5 @@
         }
     }
-    
+
     private String selectMunicipalityDialog(WMSLayer wmsLayer) {
         JPanel p = new JPanel(new GridBagLayout());
@@ -455,5 +455,5 @@
      * and store it in given wmsLayer
      * In case of raster image, we also check in the same http request if the image is already georeferenced
-     * and store the result in the wmsLayer as well. 
+     * and store the result in the wmsLayer as well.
      * @param wmsLayer the WMSLayer where the commune data and images are stored
      * @throws IOException
@@ -502,5 +502,5 @@
         }
     }
-    
+
     private void parseGeoreferences(WMSLayer wmsLayer, String input) {
         if (input.lastIndexOf(cBBoxCommunStart) != -1) {
@@ -537,5 +537,5 @@
         }
     }
-    
+
     private double tryParseDouble(String str) {
         try {
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePlugin.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePlugin.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePlugin.java	(revision 23190)
@@ -96,5 +96,5 @@
  *                 - proper WMS layer cleanup at destruction (workaround for memory leak)
  *                 - new cache format (v3) storing original image and cropped image bbox + angle
- *                 - new cache format (v4) storing original image size for later rotation 
+ *                 - new cache format (v4) storing original image size for later rotation
  *                 - cache files read compatible with previous formats
  *                 - raster image rotation issues fixed, now using shift+ctrl key instead of ctrl
@@ -104,5 +104,5 @@
  *                 - improved download cancellation
  *                 - from Erik Amzallag:
- *                 -     possibility to modify the auto-sourcing text just before upload 
+ *                 -     possibility to modify the auto-sourcing text just before upload
  *                 - from Clément Ménier:
  *                 -     new option allowing an auto-selection of the first cadastre layer for grab
@@ -112,5 +112,5 @@
  *                 - download cancellation improved
  *                 - last deployment for Java1.5 compatibility
- * 2.0 xx-xxx-xxxx - update projection for "La Reunion" departement to RGR92, UTM40S. 
+ * 2.0 xx-xxx-xxxx - update projection for "La Reunion" departement to RGR92, UTM40S.
  *                 - add 'departement' as option in the municipality selection
  *                 - fixed bug in cache directory size control (and disabled by default)
@@ -145,5 +145,5 @@
 
     public static int imageWidth, imageHeight;
-    
+
     public static String grabLayers, grabStyles = null;
 
@@ -156,5 +156,5 @@
      */
     public CadastrePlugin(PluginInformation info) throws Exception {
-    	super(info);
+        super(info);
         System.out.println("Pluging cadastre-fr v"+VERSION+" started...");
         if (Main.pref.get("cadastrewms.cacheDir").equals(""))
@@ -218,5 +218,5 @@
 
     public static void refreshConfiguration() {
-        source = checkSourceMillesime(); 
+        source = checkSourceMillesime();
         autoSourcing = Main.pref.getBoolean("cadastrewms.autosourcing", true);
         alterColors = Main.pref.getBoolean("cadastrewms.alterColors");
@@ -234,9 +234,9 @@
         } else if (currentResolution.equals("medium")){
             imageWidth = 800; imageHeight = 600;
-        } else { 
+        } else {
             imageWidth = 600; imageHeight = 400;
         }
         refreshLayersURL();
-        
+
         // overwrite F11 shortcut used from the beginning by this plugin and recently used
         // for full-screen switch in JOSM core
@@ -268,5 +268,5 @@
         refreshMenu();
     }
-    
+
     private static void refreshLayersURL() {
         grabLayers = "";
@@ -346,5 +346,5 @@
         }
     }
-    
+
     public static boolean isCadastreProjection() {
         return Main.proj.toString().equals(new Lambert().toString())
@@ -360,5 +360,5 @@
 
     // See OptionPaneUtil
-    // FIXME: this is a temporary solution. 
+    // FIXME: this is a temporary solution.
     public static void prepareDialog(JDialog dialog) {
         if (Main.pref.getBoolean("window-handling.option-pane-always-on-top", true)) {
@@ -373,5 +373,5 @@
         dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
     }
-    
+
     /**
      * Adds the WMSLayer following this rule:<br/>
@@ -393,5 +393,5 @@
             Main.main.addLayer(wmsLayer);
     }
-    
+
     private static String checkSourceMillesime() {
         java.util.Calendar calendar = java.util.Calendar.getInstance();
@@ -411,4 +411,4 @@
         return src;
     }
-    
+
 }
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePreferenceSetting.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePreferenceSetting.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CadastrePreferenceSetting.java	(revision 23190)
@@ -40,11 +40,11 @@
 
     private JCheckBox disableImageCropping = new JCheckBox(tr("Disable image cropping during georeferencing."));
-    
+
     private JCheckBox enableTableauAssemblage = new JCheckBox(tr("Use \"Tableau d''assemblage\""));
-    
+
     private JCheckBox autoFirstLayer = new JCheckBox(tr("Select first WMS layer in list."));
-    
+
     private JCheckBox dontUseRelation = new JCheckBox(tr("Don't use relation for addresses (but \"addr:street\" on elements)."));
-    
+
     private JRadioButton grabMultiplier1 = new JRadioButton("", true);
 
@@ -54,7 +54,7 @@
 
     private JRadioButton grabMultiplier4 = new JRadioButton("", true);
-    
+
     private JRadioButton crosspiece1 = new JRadioButton("off");
-    
+
     private JRadioButton crosspiece2 = new JRadioButton("25m");
 
@@ -87,10 +87,10 @@
     JLabel jLabelCacheSize = new JLabel(tr("Max. cache size (in MB)"));
     private JTextField cacheSize = new JTextField(20);
-    
+
     static final String DEFAULT_RASTER_DIVIDER = "5";
     private JTextField rasterDivider = new JTextField(10);
 
     static final int DEFAULT_CROSSPIECES = 0;
-    
+
     public void addGui(final PreferenceTabbedPane gui) {
 
@@ -101,5 +101,5 @@
                 + "before any upload of data created by this plugin.");
         JPanel cadastrewmsMast = gui.createPreferenceTab("cadastrewms.gif", I18n.tr("French cadastre WMS"), description);
-        
+
         JPanel cadastrewms = new JPanel(new GridBagLayout());
         cadastrewms.setBorder(BorderFactory.createEmptyBorder(0,0,0,0));
@@ -177,5 +177,5 @@
         cadastrewms.add(grabRes2, GBC.std().insets(5, 0, 5, 0));
         cadastrewms.add(grabRes3, GBC.eol().fill(GBC.HORIZONTAL).insets(5, 5, 0, 5));
-        
+
         // option to select image zooming interpolation method
         JLabel jLabelImageZoomInterpolation = new JLabel(tr("Image filter interpolation:"));
@@ -185,7 +185,7 @@
         imageInterpolationMethod.addItem(tr("Bicubic (slow)"));
         String savedImageInterpolationMethod = Main.pref.get("cadastrewms.imageInterpolation", "standard");
-        if (savedImageInterpolationMethod.equals("bilinear")) 
+        if (savedImageInterpolationMethod.equals("bilinear"))
             imageInterpolationMethod.setSelectedIndex(1);
-        else if (savedImageInterpolationMethod.equals("bicubic")) 
+        else if (savedImageInterpolationMethod.equals("bicubic"))
             imageInterpolationMethod.setSelectedIndex(2);
         else
@@ -195,5 +195,5 @@
         // separator
         cadastrewms.add(new JSeparator(SwingConstants.HORIZONTAL), GBC.eol().fill(GBC.HORIZONTAL));
-        
+
         // the vectorized images multiplier
         JLabel jLabelScale = new JLabel(tr("Vector images grab multiplier:"));
@@ -275,5 +275,5 @@
         layerCommune.setToolTipText(tr("Municipality administrative borders."));
         cadastrewms.add(layerCommune, GBC.eop().insets(5, 0, 5, 0));
-        
+
         // separator
         cadastrewms.add(new JSeparator(SwingConstants.HORIZONTAL), GBC.eol().fill(GBC.HORIZONTAL));
@@ -335,5 +335,5 @@
         // separator
         cadastrewms.add(new JSeparator(SwingConstants.HORIZONTAL), GBC.eol().fill(GBC.HORIZONTAL));
-        
+
         // option to select the first WMS layer
         autoFirstLayer.setSelected(Main.pref.getBoolean("cadastrewms.autoFirstLayer", false));
@@ -348,5 +348,5 @@
         dontUseRelation.setToolTipText(tr("Enable this to use the tag \"add:street\" on nodes."));
         cadastrewms.add(dontUseRelation, GBC.eop().insets(0, 0, 0, 0));
-        
+
         // end of dialog, scroll bar
         cadastrewms.add(Box.createVerticalGlue(), GBC.eol().fill(GBC.VERTICAL));
@@ -374,5 +374,5 @@
         else if (imageInterpolationMethod.getSelectedIndex() == 1)
             Main.pref.put("cadastrewms.imageInterpolation", "bilinear");
-        else 
+        else
             Main.pref.put("cadastrewms.imageInterpolation", "standard");
         if (grabMultiplier1.isSelected())
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CheckSourceUploadHook.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CheckSourceUploadHook.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/CheckSourceUploadHook.java	(revision 23190)
@@ -38,5 +38,5 @@
      * Add the tag "source" if it doesn't exist for all new Nodes and Ways before uploading
      */
-    public boolean checkUpload(APIDataSet apiDataSet) 
+    public boolean checkUpload(APIDataSet apiDataSet)
     {
         if (CadastrePlugin.autoSourcing && CadastrePlugin.pluginUsed && !apiDataSet.getPrimitivesToAdd().isEmpty()) {
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/DownloadSVGBuilding.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/DownloadSVGBuilding.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/DownloadSVGBuilding.java	(revision 23190)
@@ -54,5 +54,5 @@
     @Override
     public void realRun() throws IOException, OsmTransferException {
-    	progressMonitor.indeterminateSubTask(tr("Contacting WMS Server..."));
+        progressMonitor.indeterminateSubTask(tr("Contacting WMS Server..."));
         errorMessage = null;
         try {
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/DownloadSVGTask.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/DownloadSVGTask.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/DownloadSVGTask.java	(revision 23190)
@@ -57,5 +57,5 @@
     @Override
     public void realRun() throws IOException, OsmTransferException {
-    	progressMonitor.indeterminateSubTask(tr("Contacting WMS Server..."));
+        progressMonitor.indeterminateSubTask(tr("Contacting WMS Server..."));
         errorMessage = null;
         try {
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/DownloadWMSVectorImage.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/DownloadWMSVectorImage.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/DownloadWMSVectorImage.java	(revision 23190)
@@ -16,6 +16,6 @@
 
     private WMSLayer wmsLayer;
-    private Bounds bounds;    
-    private CadastreGrabber grabber = CadastrePlugin.cadastreGrabber;    
+    private Bounds bounds;
+    private CadastreGrabber grabber = CadastrePlugin.cadastreGrabber;
     private static String errorMessage;
 
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/EastNorthBound.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/EastNorthBound.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/EastNorthBound.java	(revision 23190)
@@ -31,5 +31,5 @@
         return enb;
     }
-    
+
     public Bounds toBounds() {
         return new Bounds(Main.proj.eastNorth2latlon(min), Main.proj.eastNorth2latlon(max));
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/GeorefImage.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/GeorefImage.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/GeorefImage.java	(revision 23190)
@@ -30,7 +30,7 @@
     public EastNorth max;
     // bbox of the georeferenced original image (raster only) (inclined if rotated and before cropping)
-    // P[0] is bottom,left then next are clockwise. 
+    // P[0] is bottom,left then next are clockwise.
     public EastNorth[] orgRaster = new EastNorth[4];
-    // bbox of the georeferenced original image (raster only) after cropping 
+    // bbox of the georeferenced original image (raster only) after cropping
     public EastNorth[] orgCroppedRaster = new EastNorth[4];
     // angle with georeferenced original image after rotation (raster images only)(in radian)
@@ -46,5 +46,5 @@
     public GeorefImage(BufferedImage img, EastNorth min, EastNorth max) {
         image = img;
-        
+
         this.min = min;
         this.max = max;
@@ -70,6 +70,6 @@
 
     /**
-     * Recalculate the new bounding box of the image based on the four points provided as parameters. 
-     * The new bbox defined in [min.max] will retain the extreme values of both boxes. 
+     * Recalculate the new bounding box of the image based on the four points provided as parameters.
+     * The new bbox defined in [min.max] will retain the extreme values of both boxes.
      * @param p1 one of the bounding box corner
      * @param p2 one of the bounding box corner
@@ -128,5 +128,5 @@
                     g.drawLine(croppedPoint[i].x, croppedPoint[i].y, croppedPoint[i+1].x, croppedPoint[i+1].y);
                 }
-                /* 
+                /*
                 //Uncomment this section to display the original image size (before cropping)
                 Point[] orgPoint = new Point[5];
@@ -212,5 +212,5 @@
             imageOriginalHeight = in.readInt();
             imageOriginalWidth =  in.readInt();
-        }        
+        }
         image = (BufferedImage) ImageIO.read(ImageIO.createImageInputStream(in));
         updatePixelPer();
@@ -276,8 +276,8 @@
         }
     }
-    
+
     /**
      * Change this image scale by moving the min,max coordinates around an anchor
-     * @param anchor 
+     * @param anchor
      * @param proportion
      */
@@ -324,5 +324,5 @@
         angle+=delta_ang;
     }
-    
+
     /**
      * Crop the image based on new bbox coordinates adj1 and adj2 (for raster images only).
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/ImageModifier.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/ImageModifier.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/ImageModifier.java	(revision 23190)
@@ -19,5 +19,5 @@
 
     protected int parcelColor = Color.RED.getRGB();
-    
+
     public BufferedImage bufferedImage;
 
@@ -31,5 +31,5 @@
             new byte[] { (byte) 0, (byte) 0xFF }
         );
-        
+
         BufferedImage dest = new BufferedImage(
             src.getWidth(), src.getHeight(),
@@ -37,5 +37,5 @@
             icm
             );
-        
+
         ColorConvertOp cco = new ColorConvertOp(
             src.getColorModel().getColorSpace(),
@@ -43,7 +43,7 @@
             null
             );
-        
+
         cco.filter(src, dest);
-        
+
         return dest;
       }
@@ -72,5 +72,5 @@
         return convert4(src, cmap);
       }
-        
+
       /**
        * Converts the source image to 4-bit colour
@@ -96,8 +96,8 @@
             );
         cco.filter(src, dest);
-        
+
         return dest;
       }
-      
+
     protected BufferedImage convert8(BufferedImage src) {
         BufferedImage dest = new BufferedImage(
@@ -115,5 +115,5 @@
 
     public boolean isBuildingColor(int rgb, boolean ignoreParcelColor) {
-        for (int i = 0; i < cBuilingFootColors.length; i++) 
+        for (int i = 0; i < cBuilingFootColors.length; i++)
             if (rgb == cBuilingFootColors[i])
                     return true;
@@ -124,5 +124,5 @@
 
     public boolean isRoofColor(int rgb, boolean ignoreParcelColor) {
-        for (int i = 0; i < cRoofColors.length; i++) 
+        for (int i = 0; i < cRoofColors.length; i++)
             if (rgb == cRoofColors[i])
                     return true;
@@ -152,8 +152,8 @@
         return ret;
     }
-    
+
     /**
      * Checks if the rgb value is the black background color
-     * @param  
+     * @param
      * @return
      */
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionGrabPlanImage.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionGrabPlanImage.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionGrabPlanImage.java	(revision 23190)
@@ -180,18 +180,18 @@
      */
     private boolean startCropping() {
-	    mode = cGetCorners;
-	    countMouseClicked = 0;
-		Object[] options = { "OK", "Cancel" };
-		int ret = JOptionPane.showOptionDialog( null,
-				tr("Click first corner for image cropping\n(two points required)"),
-				tr("Image cropping"),
-	    		JOptionPane.DEFAULT_OPTION, JOptionPane.INFORMATION_MESSAGE,
-	    		null, options, options[0]);
-	    if (ret == JOptionPane.OK_OPTION) {
-	        mouseClickedTime = System.currentTimeMillis();
-	    } else
-	    	if (canceledOrRestartCurrAction("image cropping"))
-	    		return startCropping();
-	    return true;
+        mode = cGetCorners;
+        countMouseClicked = 0;
+        Object[] options = { "OK", "Cancel" };
+        int ret = JOptionPane.showOptionDialog( null,
+                tr("Click first corner for image cropping\n(two points required)"),
+                tr("Image cropping"),
+                JOptionPane.DEFAULT_OPTION, JOptionPane.INFORMATION_MESSAGE,
+                null, options, options[0]);
+        if (ret == JOptionPane.OK_OPTION) {
+            mouseClickedTime = System.currentTimeMillis();
+        } else
+            if (canceledOrRestartCurrAction("image cropping"))
+                return startCropping();
+        return true;
     }
 
@@ -201,15 +201,15 @@
      */
     private boolean continueCropping() {
-		Object[] options = { "OK", "Cancel" };
-		int ret = JOptionPane.showOptionDialog( null,
-				tr("Click second corner for image cropping"),
-				tr("Image cropping"),
-	    		JOptionPane.DEFAULT_OPTION, JOptionPane.INFORMATION_MESSAGE,
-	    		null, options, options[0]);
-	    if (ret != JOptionPane.OK_OPTION) {
-	    	if (canceledOrRestartCurrAction("image cropping"))
-	    		return startCropping();
-	    }
-	    return true;
+        Object[] options = { "OK", "Cancel" };
+        int ret = JOptionPane.showOptionDialog( null,
+                tr("Click second corner for image cropping"),
+                tr("Image cropping"),
+                JOptionPane.DEFAULT_OPTION, JOptionPane.INFORMATION_MESSAGE,
+                null, options, options[0]);
+        if (ret != JOptionPane.OK_OPTION) {
+            if (canceledOrRestartCurrAction("image cropping"))
+                return startCropping();
+        }
+        return true;
     }
 
@@ -219,18 +219,18 @@
      */
     private boolean startGeoreferencing() {
-	    countMouseClicked = 0;
-	    mode = cGetLambertCrosspieces;
-		Object[] options = { "OK", "Cancel" };
-		int ret = JOptionPane.showOptionDialog( null,
-				tr("Click first Lambert crosspiece for georeferencing\n(two points required)"),
-				tr("Image georeferencing"),
-	    		JOptionPane.DEFAULT_OPTION, JOptionPane.INFORMATION_MESSAGE,
-	    		null, options, options[0]);
-	    if (ret == JOptionPane.OK_OPTION) {
-	        mouseClickedTime = System.currentTimeMillis();
-	    } else
-	    	if (canceledOrRestartCurrAction("georeferencing"))
-	    		return startGeoreferencing();
-	    return true;
+        countMouseClicked = 0;
+        mode = cGetLambertCrosspieces;
+        Object[] options = { "OK", "Cancel" };
+        int ret = JOptionPane.showOptionDialog( null,
+                tr("Click first Lambert crosspiece for georeferencing\n(two points required)"),
+                tr("Image georeferencing"),
+                JOptionPane.DEFAULT_OPTION, JOptionPane.INFORMATION_MESSAGE,
+                null, options, options[0]);
+        if (ret == JOptionPane.OK_OPTION) {
+            mouseClickedTime = System.currentTimeMillis();
+        } else
+            if (canceledOrRestartCurrAction("georeferencing"))
+                return startGeoreferencing();
+        return true;
     }
 
@@ -240,15 +240,15 @@
      */
     private boolean continueGeoreferencing() {
-		Object[] options = { "OK", "Cancel" };
-		int ret = JOptionPane.showOptionDialog( null,
-				tr("Click second Lambert crosspiece for georeferencing"),
-				tr("Image georeferencing"),
-	    		JOptionPane.DEFAULT_OPTION, JOptionPane.INFORMATION_MESSAGE,
-	    		null, options, options[0]);
-	    if (ret != JOptionPane.OK_OPTION) {
-	    	if (canceledOrRestartCurrAction("georeferencing"))
-	    		return startGeoreferencing();
-	    }
-	    return true;
+        Object[] options = { "OK", "Cancel" };
+        int ret = JOptionPane.showOptionDialog( null,
+                tr("Click second Lambert crosspiece for georeferencing"),
+                tr("Image georeferencing"),
+                JOptionPane.DEFAULT_OPTION, JOptionPane.INFORMATION_MESSAGE,
+                null, options, options[0]);
+        if (ret != JOptionPane.OK_OPTION) {
+            if (canceledOrRestartCurrAction("georeferencing"))
+                return startGeoreferencing();
+        }
+        return true;
     }
     
@@ -271,14 +271,14 @@
      */
     private boolean canceledOrRestartCurrAction(String action) {
-    	Object[] options = { "Cancel", "Retry" };
-    	int selectedValue = JOptionPane.showOptionDialog( null,
-        		tr("Do you want to cancel completely\n"+
-        				"or just retry "+action+" ?"), "",
-        		JOptionPane.DEFAULT_OPTION, JOptionPane.WARNING_MESSAGE,
-        		null, options, options[0]);
+        Object[] options = { "Cancel", "Retry" };
+        int selectedValue = JOptionPane.showOptionDialog( null,
+                tr("Do you want to cancel completely\n"+
+                        "or just retry "+action+" ?"), "",
+                JOptionPane.DEFAULT_OPTION, JOptionPane.WARNING_MESSAGE,
+                null, options, options[0]);
         countMouseClicked = 0;
         if (selectedValue == 0) { // "Cancel"
-        	// remove layer
-        	Main.map.mapView.removeLayer(wmsLayer);
+            // remove layer
+            Main.map.mapView.removeLayer(wmsLayer);
             wmsLayer = null;
             Main.map.mapView.removeMouseListener(this);
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionLoadFromCache.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionLoadFromCache.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionLoadFromCache.java	(revision 23190)
@@ -77,5 +77,5 @@
                     if (wmsLayer.getCacheControl().loadCache(file, layoutZone)) {
                         CadastrePlugin.addWMSLayer(wmsLayer);
-                    }                    
+                    }
                 }
             }
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionNewLocation.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionNewLocation.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/MenuActionNewLocation.java	(revision 23190)
@@ -25,27 +25,27 @@
 
     private static final long serialVersionUID = 1L;
-    
+
     private static final String departements[] = {
         "", tr("(optional)"),
         "001", "01 - Ain",                 "002", "02 - Aisne",              "003", "03 - Allier",                "004", "04 - Alpes de Haute-Provence", "005", "05 - Hautes-Alpes",
         "006", "06 - Alpes-Maritimes",     "007", "07 - Ard\u00eache",       "008", "08 - Ardennes",              "009", "09 - Ari\u00e8ge",             "010", "10 - Aube",
-        "011", "11 - Aude",                "012", "12 - Aveyron",            "013", "13 - Bouches-du-Rh\u00f4ne", "014", "14 - Calvados",                "015", "15 - Cantal", 
-        "016", "16 - Charente",            "017", "17 - Charente-Maritime",  "018", "18 - Cher",                  "019", "19 - Corr\u00e8ze", 
-        "02A", "2A - Corse-du-Sud",        "02B", "2B - Haute-Corse", 
-        "021", "21 - C\u00f4te-d'Or",      "022", "22 - C\u00f4tes d'Armor", "023", "23 - Creuse",                "024", "24 - Dordogne",                "025", "25 - Doubs", 
+        "011", "11 - Aude",                "012", "12 - Aveyron",            "013", "13 - Bouches-du-Rh\u00f4ne", "014", "14 - Calvados",                "015", "15 - Cantal",
+        "016", "16 - Charente",            "017", "17 - Charente-Maritime",  "018", "18 - Cher",                  "019", "19 - Corr\u00e8ze",
+        "02A", "2A - Corse-du-Sud",        "02B", "2B - Haute-Corse",
+        "021", "21 - C\u00f4te-d'Or",      "022", "22 - C\u00f4tes d'Armor", "023", "23 - Creuse",                "024", "24 - Dordogne",                "025", "25 - Doubs",
         "026", "26 - Dr\u00f4me",          "027", "27 - Eure",               "028", "28 - Eure-et-Loir",          "029", "29 - Finist\u00e8re",          "030", "30 - Gard",
-        "031", "31 - Haute-Garonne",       "032", "32 - Gers",               "033", "33 - Gironde",               "034", "34 - H\u00e9rault",            "035", "35 - Ille-et-Vilaine", 
+        "031", "31 - Haute-Garonne",       "032", "32 - Gers",               "033", "33 - Gironde",               "034", "34 - H\u00e9rault",            "035", "35 - Ille-et-Vilaine",
         "036", "36 - Indre",               "037", "37 - Indre-et-Loire",     "038", "38 - Is\u00e8re",            "039", "39 - Jura",                    "040", "40 - Landes",
-        "041", "41 - Loir-et-Cher",        "042", "42 - Loire",              "043", "43 - Haute-Loire",           "044", "44 - Loire-Atlantique",        "045", "45 - Loiret", 
+        "041", "41 - Loir-et-Cher",        "042", "42 - Loire",              "043", "43 - Haute-Loire",           "044", "44 - Loire-Atlantique",        "045", "45 - Loiret",
         "046", "46 - Lot",                 "047", "47 - Lot-et-Garonne",     "048", "48 - Loz\u00e8re",           "049", "49 - Maine-et-Loire",          "050", "50 - Manche",
-        "051", "51 - Marne",               "052", "52 - Haute-Marne",        "053", "53 - Mayenne",               "054", "54 - Meurthe-et-Moselle",      "055", "55 - Meuse", 
+        "051", "51 - Marne",               "052", "52 - Haute-Marne",        "053", "53 - Mayenne",               "054", "54 - Meurthe-et-Moselle",      "055", "55 - Meuse",
         "056", "56 - Morbihan",            "057", "57 - Moselle",            "058", "58 - Ni\u00e8vre",           "059", "59 - Nord",                    "060", "60 - Oise",
-        "061", "61 - Orne",                "062", "62 - Pas-de-Calais",      "063", "63 - Puy-de-D\u00f4me",      "064", "64 - Pyr\u00e9n\u00e9es-Atlantiques", "065", "65 - Hautes-Pyr\u00e9n\u00e9es", 
+        "061", "61 - Orne",                "062", "62 - Pas-de-Calais",      "063", "63 - Puy-de-D\u00f4me",      "064", "64 - Pyr\u00e9n\u00e9es-Atlantiques", "065", "65 - Hautes-Pyr\u00e9n\u00e9es",
         "066", "66 - Pyr\u00e9n\u00e9es-Orientales", "067", "67 - Bas-Rhin", "068", "68 - Haut-Rhin",             "069", "69 - Rh\u00f4ne",              "070", "70 - Haute-Sa\u00f4ne",
-        "071", "71 - Sa\u00f4ne-et-Loire", "072", "72 - Sarthe",             "073", "73 - Savoie",                "074", "74 - Haute-Savoie",            "075", "75 - Paris", 
+        "071", "71 - Sa\u00f4ne-et-Loire", "072", "72 - Sarthe",             "073", "73 - Savoie",                "074", "74 - Haute-Savoie",            "075", "75 - Paris",
         "076", "76 - Seine-Maritime",      "077", "77 - Seine-et-Marne",     "078", "78 - Yvelines",              "079", "79 - Deux-S\u00e8vres",        "080", "80 - Somme",
-        "081", "81 - Tarn",                "082", "82 - Tarn-et-Garonne",    "083", "83 - Var",                   "084", "84 - Vaucluse",                "085", "85 - Vend\u00e9e", 
+        "081", "81 - Tarn",                "082", "82 - Tarn-et-Garonne",    "083", "83 - Var",                   "084", "84 - Vaucluse",                "085", "85 - Vend\u00e9e",
         "086", "86 - Vienne",              "087", "87 - Haute-Vienne",       "088", "88 - Vosges",                "089", "89 - Yonne",                   "090", "90 - Territoire de Belfort",
-        "091", "91 - Essonne",             "092", "92 - Hauts-de-Seine",     "093", "93 - Seine-Saint-Denis",     "094", "94 - Val-de-Marne",            "095", "95 - Val-d'Oise", 
+        "091", "91 - Essonne",             "092", "92 - Hauts-de-Seine",     "093", "93 - Seine-Saint-Denis",     "094", "94 - Val-de-Marne",            "095", "95 - Val-d'Oise",
         "971", "971 - Guadeloupe",         "972", "972 - Martinique",        "973", "973 - Guyane",               "974", "974 - R\u00e9union"
     };
@@ -81,5 +81,5 @@
             for (int i=0; i < departements.length; i=i+2)
                 if (departements[i].equals(Main.pref.get("cadastrewms.codeDepartement")))
-                    inputDepartement.setSelectedIndex(i/2);        
+                    inputDepartement.setSelectedIndex(i/2);
         }
         p.add(labelSectionNewLocation, GBC.eol());
Index: applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/WMSLayer.java
===================================================================
--- applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/WMSLayer.java	(revision 22850)
+++ applications/editors/josm/plugins/cadastre-fr/src/cadastre_fr/WMSLayer.java	(revision 23190)
@@ -104,5 +104,5 @@
 
     @Override
-	public void destroy() {
+    public void destroy() {
         // if the layer is currently saving the images in the cache, wait until it's finished
         if (cacheControl != null) {
@@ -305,5 +305,5 @@
         saveAsPng.setEnabled(isRaster);
         return new Action[] {
-        		LayerListDialog.getInstance().createShowHideLayerAction(),
+                LayerListDialog.getInstance().createShowHideLayerAction(),
                 LayerListDialog.getInstance().createDeleteLayerAction(),
                 new MenuActionLoadFromCache(),
